	.file	"usbdrv.c"
__SREG__ = 0x3f
__SP_H__ = 0x3e
__SP_L__ = 0x3d
__CCP__ = 0x34
__tmp_reg__ = 0
__zero_reg__ = 1
	.text
.global	usbSetInterrupt
	.type	usbSetInterrupt, @function
usbSetInterrupt:
	push r17
/* prologue: function */
/* frame size = 0 */
/* stack size = 1 */
.L__stack_usage = 1
	mov r17,r22
	lds r18,usbTxStatus1
	sbrs r18,4
	rjmp .L2
	lds r18,usbTxStatus1+1
	ldi r19,lo8(-120)
	eor r18,r19
	sts usbTxStatus1+1,r18
	rjmp .L3
.L2:
	ldi r18,lo8(90)
	sts usbTxStatus1,r18
.L3:
	movw r26,r24
	mov r24,r17
	subi r24,lo8(-(-1))
	ldi r25,lo8(0)
	subi r24,lo8(-(usbTxStatus1+3))
	sbci r25,hi8(-(usbTxStatus1+3))
	ldi r30,lo8(usbTxStatus1+2)
	ldi r31,hi8(usbTxStatus1+2)
.L4:
	ld r18,X+
	st Z+,r18
	cp r30,r24
	cpc r31,r25
	brne .L4
	ldi r24,lo8(usbTxStatus1+2)
	ldi r25,hi8(usbTxStatus1+2)
	mov r22,r17
	rcall usbCrc16Append
	subi r17,lo8(-(4))
	sts usbTxStatus1,r17
/* epilogue start */
	pop r17
	ret
	.size	usbSetInterrupt, .-usbSetInterrupt
.global	usbPoll
	.type	usbPoll, @function
usbPoll:
	push r17
	push r28
	push r29
/* prologue: function */
/* frame size = 0 */
/* stack size = 3 */
.L__stack_usage = 3
	lds r24,usbRxLen
	subi r24,lo8(-(-3))
	sbrc r24,7
	rjmp .L7
	lds r25,usbInputBufOffset
	lds r18,usbRxToken
	cpi r18,lo8(45)
	breq .+2
	rjmp .L8
	cpi r24,lo8(8)
	breq .+2
	rjmp .L8
	ldi r28,lo8(12)
	ldi r29,hi8(12)
	sub r28,r25
	sbc r29,__zero_reg__
	subi r28,lo8(-(usbRxBuf))
	sbci r29,hi8(-(usbRxBuf))
	ldi r24,lo8(-61)
	sts usbTxBuf,r24
	ldi r24,lo8(90)
	sts usbTxLen,r24
	sts usbMsgFlags,__zero_reg__
	ld r24,Y
	andi r24,lo8(96)
	breq .L9
	movw r24,r28
	rcall usbFunctionSetup
	rjmp .L10
.L9:
	ldd r25,Y+2
	sts usbTxBuf+9,__zero_reg__
	ldd r24,Y+1
	tst r24
	brne .L11
	sts usbTxBuf+10,__zero_reg__
	ldi r18,lo8(usbTxBuf+9)
	ldi r19,hi8(usbTxBuf+9)
	ldi r24,lo8(2)
	rjmp .L12
.L11:
	cpi r24,lo8(5)
	brne .L13
	sts usbNewDeviceAddr,r25
	rjmp .L39
.L13:
	cpi r24,lo8(6)
	breq .+2
	rjmp .L14
	ldd r24,Y+3
	cpi r24,lo8(1)
	brne .L15
	ldi r24,lo8(usbDescriptorDevice)
	ldi r25,hi8(usbDescriptorDevice)
	rjmp .L43
.L15:
	cpi r24,lo8(2)
	brne .L17
	ldi r24,lo8(usbDescriptorConfiguration)
	ldi r25,hi8(usbDescriptorConfiguration)
	sts usbMsgPtr+1,r25
	sts usbMsgPtr,r24
	ldi r24,lo8(34)
	rjmp .L16
.L17:
	cpi r24,lo8(3)
	brne .L18
	tst r25
	brne .L19
	ldi r24,lo8(usbDescriptorString0)
	ldi r25,hi8(usbDescriptorString0)
	sts usbMsgPtr+1,r25
	sts usbMsgPtr,r24
	ldi r24,lo8(4)
	rjmp .L16
.L19:
	cpi r25,lo8(1)
	brne .L20
	ldi r24,lo8(usbDescriptorStringVendor)
	ldi r25,hi8(usbDescriptorStringVendor)
.L43:
	sts usbMsgPtr+1,r25
	sts usbMsgPtr,r24
	ldi r24,lo8(18)
	rjmp .L16
.L20:
	cpi r25,lo8(2)
	brne .L36
	ldi r24,lo8(usbDescriptorStringDevice)
	ldi r25,hi8(usbDescriptorStringDevice)
	sts usbMsgPtr+1,r25
	sts usbMsgPtr,r24
	ldi r24,lo8(12)
	rjmp .L16
.L18:
	cpi r24,lo8(33)
	brne .L21
	ldi r24,lo8(usbDescriptorConfiguration+18)
	ldi r25,hi8(usbDescriptorConfiguration+18)
	sts usbMsgPtr+1,r25
	sts usbMsgPtr,r24
	ldi r24,lo8(9)
	rjmp .L16
.L21:
	cpi r24,lo8(34)
	brne .L36
	ldi r24,lo8(usbDescriptorHidReport)
	ldi r25,hi8(usbDescriptorHidReport)
	sts usbMsgPtr+1,r25
	sts usbMsgPtr,r24
	ldi r24,lo8(35)
	rjmp .L16
.L36:
	ldi r24,lo8(0)
.L16:
	ldi r25,lo8(64)
	sts usbMsgFlags,r25
	rjmp .L10
.L14:
	cpi r24,lo8(8)
	breq .L37
	cpi r24,lo8(9)
	brne .L22
	sts usbConfiguration,r25
	rjmp .L39
.L22:
	cpi r24,lo8(10)
	breq .L38
	cpi r24,lo8(11)
	brne .L39
	ldi r24,lo8(75)
	sts usbTxStatus1+1,r24
	rjmp .L39
.L37:
	ldi r18,lo8(usbConfiguration)
	ldi r19,hi8(usbConfiguration)
	rjmp .L44
.L38:
	ldi r18,lo8(usbTxBuf+9)
	ldi r19,hi8(usbTxBuf+9)
.L44:
	ldi r24,lo8(1)
	rjmp .L12
.L39:
	ldi r18,lo8(usbTxBuf+9)
	ldi r19,hi8(usbTxBuf+9)
	ldi r24,lo8(0)
.L12:
	sts usbMsgPtr+1,r19
	sts usbMsgPtr,r18
.L10:
	ldd r25,Y+7
	tst r25
	brne .L23
	ldd r25,Y+6
	cp r25,r24
	brsh .L23
	mov r24,r25
.L23:
	sts usbMsgLen,r24
.L8:
	sts usbRxLen,__zero_reg__
.L7:
	lds r24,usbTxLen
	sbrs r24,4
	rjmp .L25
	lds r24,usbMsgLen
	cpi r24,lo8(-1)
	brne .+2
	rjmp .L25
	mov r17,r24
	cpi r24,lo8(9)
	brlo .L26
	ldi r17,lo8(8)
.L26:
	sub r24,r17
	sts usbMsgLen,r24
	lds r24,usbTxBuf
	ldi r25,lo8(-120)
	eor r24,r25
	sts usbTxBuf,r24
	tst r17
	breq .L27
	lds r24,usbMsgPtr
	lds r25,usbMsgPtr+1
	lds r19,usbMsgFlags
	mov r18,r17
	subi r18,lo8(-(-1))
	sbrs r19,6
	rjmp .L28
	ldi r19,lo8(0)
	movw r20,r18
	subi r20,lo8(-(usbTxBuf+2))
	sbci r21,hi8(-(usbTxBuf+2))
	movw r30,r24
	ldi r26,lo8(usbTxBuf+1)
	ldi r27,hi8(usbTxBuf+1)
.L29:
/* #APP */
 ;  504 "../usbdrv/usbdrv.c" 1
	lpm r22, Z
	
 ;  0 "" 2
/* #NOAPP */
	st X+,r22
	adiw r30,1
	cp r26,r20
	cpc r27,r21
	brne .L29
	rjmp .L45
.L28:
	movw r26,r24
	ldi r19,lo8(0)
	movw r20,r18
	subi r20,lo8(-(usbTxBuf+2))
	sbci r21,hi8(-(usbTxBuf+2))
	ldi r30,lo8(usbTxBuf+1)
	ldi r31,hi8(usbTxBuf+1)
.L31:
	ld r22,X+
	st Z+,r22
	cp r30,r20
	cpc r31,r21
	brne .L31
.L45:
	subi r18,lo8(-(1))
	sbci r19,hi8(-(1))
	add r18,r24
	adc r19,r25
	sts usbMsgPtr+1,r19
	sts usbMsgPtr,r18
.L27:
	ldi r24,lo8(usbTxBuf+1)
	ldi r25,hi8(usbTxBuf+1)
	mov r22,r17
	rcall usbCrc16Append
	subi r17,lo8(-(4))
	cpi r17,lo8(12)
	breq .L32
	ldi r24,lo8(-1)
	sts usbMsgLen,r24
.L32:
	sts usbTxLen,r17
.L25:
	ldi r24,lo8(20)
.L34:
	in r25,41-32
	andi r25,lo8(12)
	brne .L6
	subi r24,lo8(-(-1))
	brne .L34
	sts usbNewDeviceAddr,__zero_reg__
	sts usbDeviceAddr,__zero_reg__
.L33:
.L6:
/* epilogue start */
	pop r29
	pop r28
	pop r17
	ret
	.size	usbPoll, .-usbPoll
.global	usbInit
	.type	usbInit, @function
usbInit:
/* prologue: function */
/* frame size = 0 */
/* stack size = 0 */
.L__stack_usage = 0
	ldi r30,lo8(105)
	ldi r31,hi8(105)
	ld r24,Z
	ori r24,lo8(2)
	st Z,r24
	sbi 61-32,0
	ldi r24,lo8(75)
	sts usbTxStatus1+1,r24
	ldi r24,lo8(90)
	sts usbTxStatus1,r24
/* epilogue start */
	ret
	.size	usbInit, .-usbInit
.global	usbTxLen
	.data
	.type	usbTxLen, @object
	.size	usbTxLen, 1
usbTxLen:
	.byte	90
.global	usbDescriptorString0
	.section	.progmem.data,"a",@progbits
	.type	usbDescriptorString0, @object
	.size	usbDescriptorString0, 4
usbDescriptorString0:
	.byte	4
	.byte	3
	.byte	9
	.byte	4
.global	usbDescriptorStringVendor
	.type	usbDescriptorStringVendor, @object
	.size	usbDescriptorStringVendor, 18
usbDescriptorStringVendor:
	.word	786
	.word	111
	.word	98
	.word	100
	.word	101
	.word	118
	.word	46
	.word	97
	.word	116
.global	usbDescriptorStringDevice
	.type	usbDescriptorStringDevice, @object
	.size	usbDescriptorStringDevice, 12
usbDescriptorStringDevice:
	.word	780
	.word	83
	.word	109
	.word	111
	.word	103
	.word	122
.global	usbDescriptorDevice
	.type	usbDescriptorDevice, @object
	.size	usbDescriptorDevice, 18
usbDescriptorDevice:
	.byte	18
	.byte	1
	.byte	16
	.byte	1
	.byte	0
	.byte	0
	.byte	0
	.byte	8
	.byte	-64
	.byte	22
	.byte	-37
	.byte	39
	.byte	0
	.byte	1
	.byte	1
	.byte	2
	.byte	0
	.byte	1
.global	usbDescriptorConfiguration
	.type	usbDescriptorConfiguration, @object
	.size	usbDescriptorConfiguration, 34
usbDescriptorConfiguration:
	.byte	9
	.byte	2
	.byte	34
	.byte	0
	.byte	1
	.byte	1
	.byte	0
	.byte	-128
	.byte	50
	.byte	9
	.byte	4
	.byte	0
	.byte	0
	.byte	1
	.byte	3
	.byte	0
	.byte	0
	.byte	0
	.byte	9
	.byte	33
	.byte	1
	.byte	1
	.byte	0
	.byte	1
	.byte	34
	.byte	35
	.byte	0
	.byte	7
	.byte	5
	.byte	-127
	.byte	3
	.byte	8
	.byte	0
	.byte	10
	.comm usbMsgPtr,2,1
	.comm usbRxToken,1,1
	.comm usbConfiguration,1,1
	.comm usbTxStatus1,12,1
	.comm usbRxBuf,22,1
	.comm usbInputBufOffset,1,1
	.comm usbDeviceAddr,1,1
	.comm usbNewDeviceAddr,1,1
	.comm usbRxLen,1,1
	.comm usbCurrentTok,1,1
	.comm usbTxBuf,11,1
	.data
	.type	usbMsgLen, @object
	.size	usbMsgLen, 1
usbMsgLen:
	.byte	-1
	.lcomm usbMsgFlags,1
.global __do_copy_data
.global __do_clear_bss
