/*
 * misc.h
 *
 * Created: 2011-11-13 17:42:59
 *  Author: digp01
 */


#ifndef MISC_H_
#define MISC_H_

#define ALL_HIGH(port)		((port) = 0xFF)
#define ALL_LOW(port)		((port) = 0x00)

#define WB(dest, bit, val)	((dest) = (((val) > 0) ? ((dest) | 1 << (bit)) : ((dest) & ~(1 << (bit)))))
#define RB(src, bit)		(((src) >> (bit)) & 1)

#define ALL_AS_OUT(ddr)		ALL_HIGH(ddr)
#define ALL_AS_IN(ddr)		ALL_LOW(ddr)
#define AS_IN(ddr, pin)		WB(ddr, pin, 0)
#define AS_OUT(ddr, pin)	WB(ddr, pin, 1)

#define EN_PUP(port, pin)	WB(port, pin, 1)
#define DS_PUP(port, pin)	WB(port, pin, 0)

#endif /* MISC_H_ */
