/*
 * rb.h
 *
 *  Created on: Dec 23, 2011
 *      Author: intembp
 */

#ifndef RB_H_
#define RB_H_

#include <avr/io.h>
#include <stdbool.h>

#define TYPE uint8_t

typedef struct rb_t rb_t;

struct rb_t {
	TYPE* data;
	TYPE head;
	TYPE tail;
	TYPE size;
};

void rb_init(rb_t* rb, TYPE* data, TYPE size);
bool rb_add(rb_t* rb, TYPE e);
bool rb_get(rb_t* rb, TYPE* e);
bool rb_peek(rb_t* rb, TYPE* e);
bool rb_empty(rb_t* rb);

#endif /* RB_H_ */
