/*
 * report.h
 *
 *  Created on: Dec 24, 2011
 *      Author: intembp
 */

#ifndef REPORT_H_
#define REPORT_H_

#include <stdbool.h>

#define NUM_KEYS 6

typedef struct report_t report_t;

struct report_t {
	uint8_t modifiers;
	uint8_t keys[NUM_KEYS];
};

void report_init();
void report_clear();
bool report_add(uint8_t uid);
bool report_remove(uint8_t uid);
bool report_changed();

#endif /* REPORT_H_ */
